GEOS: geos::geom::CoordinateArraySequenceFactory Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::geom::CoordinateArraySequenceFactory Class Reference

Creates CoordinateSequences internally represented as an array of Coordinates. More...

`#include <geos.h>`

Inheritance diagram for geos::geom::CoordinateArraySequenceFactory:

## Public Member Functions
CoordinateSequence * | create (std::vector< Coordinate > *coords) const
| Returns a CoordinateArraySequence based on the given vector (the vector is not copied - callers give up ownership).
CoordinateSequence * | create (std::vector< Coordinate > *coords, std::size_t dims) const
| Returns a CoordinateSequence based on the given array.
CoordinateSequence * | create (std::size_t size, std::size_t dimension=0) const

## Static Public Member Functions
static const CoordinateSequenceFactory * | instance ()
| Returns the singleton instance of CoordinateArraySequenceFactory.

## Detailed Description

Creates CoordinateSequences internally represented as an array of Coordinates.

## Member Function Documentation

CoordinateSequence* geos::geom::CoordinateArraySequenceFactory::create | ( | std::vector< Coordinate > * | coordinates,
|  | std::size_t | dimension
| ) |  | const
| virtual

Returns a CoordinateSequence based on the given array.

    Whether the array is copied or simply referenced
    is implementation-dependent.
    For this reason caller does give up ownership of it.
    Implementations that will not copy it will need take care
    of deleting it.

    This method must handle null arguments by creating
    an empty sequence.

    @param coordinates the coordinates

Parameters

  dimension | 0, 2 or 3 with 0 indicating unknown at this time.

Implements geos::geom::CoordinateSequenceFactory.

CoordinateSequence* geos::geom::CoordinateArraySequenceFactory::create | ( | std::size_t | size,
|  | std::size_t | dimension = `0`
| ) |  | const
| virtual

See Also
  CoordinateSequenceFactory::create(std::size_t, int)

Implements geos::geom::CoordinateSequenceFactory.

The documentation for this class was generated from the following file:

- CoordinateArraySequenceFactory.h